#This is a four-step guide to install TMW SVN version

#This installs a majority of the necessary dependencies for the TMW SVN
sudo apt-get -y install libsdl1.2-dev libphysfs-dev libxml2-dev libcurl4-openssl-dev zlib1g-dev autotools-dev g++-4.2 g++-4.1 g++-4.2-multilib automake autoconf subversion build-essential libpng12-dev libsdl-net1.2-dev libsdl-mixer1.2-dev libsdl-image1.2-dev

#This installs the new version of libguichan (0.8.1)
wget -c http://guichan.googlecode.com/files/guichan-0.8.1.tar.gz
tar xf guichan-0.8.1.tar.gz
cd guichan-0.8.1
CXXFLAGS="-O3" ./configure --prefix=${HOME} && make && sudo make install

#This downloads TMW SVN 0.0.24.1 to your computer and installs the game
svn co https://themanaworld.svn.sourceforge.net/svnroot/themanaworld/tmw/branches/0.0/
cd 0.0
sh autogen.sh
CPPFLAGS="-I ${HOME}/include" LDFLAGS="-L ${HOME}/lib" CXXFLAGS="-O3" ./configure && make && sudo make install

#This will make a symbol link to guichan 0.8.1
sudo ln -s ${HOME}/lib/libguichan_sdl-0.8.1.so.1 /usr/lib/libguichan_sdl-0.8.1.so.1
sudo ln -s ${HOME}/lib/libguichan-0.8.1.so.1 /usr/lib/libguichan-0.8.1.so.1
